Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rabbit.linkchecker
Class SimpleLogger

    java.lang.Object
      rabbit.linkchecker.SimpleLogger

All Implemented Interfaces:
  Logger

    public class SimpleLogger

extends java.lang.Object
implements Logger

A very simple logger for the link checker.

Constructor Summary
`SimpleLogger()`

Method Summary
`void` | `endLogging()` This method is called when this Logger is stopped.
`void` | `log(java.net.URL url, HTTPHeader header)` This method is called when a request is fulfilled ok.
`void` | `log(java.net.URL url, java.lang.String msg)` This method is called upon on errors and other strange stuff.
`void` | `startLogging(Config cfg)` This method is called when this Logger is started.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleLogger

    public SimpleLogger()

Method Detail

### log

    public void log(java.net.URL url,
                    java.lang.String msg)

  Description copied from interface: `Logger`
  This method is called upon on errors and other strange stuff.

  Specified by:
    `log` in interface `Logger`

### log

    public void log(java.net.URL url,
                    HTTPHeader header)

  Description copied from interface: `Logger`
  This method is called when a request is fulfilled ok.

  Specified by:
    `log` in interface `Logger`

### startLogging

    public void startLogging(Config cfg)

  This method is called when this Logger is started.

  Specified by:
    `startLogging` in interface `Logger`
  Parameters:
    `cfg` - the global Config.

### endLogging

    public void endLogging()

  This method is called when this Logger is stopped.

  Specified by:
    `endLogging` in interface `Logger`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD